## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanSourceTreeElementANSAllocator Class Reference

List of all members.

## Public Types

- typedef XalanSourceTreeElementANS ObjectType
- typedef ObjectType::IndexType IndexType
- typedef ObjectType::AttributesCountType AttributesCountType
- typedef ArenaAllocator< ObjectType > ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Member Functions

- XalanSourceTreeElementANSAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size.
- ~XalanSourceTreeElementANSAllocator ()
- ObjectType * create (const XalanDOMString &theTagName, const XalanDOMString &theLocalName, const XalanDOMString &theNamespaceURI, const XalanDOMString &thePrefix, XalanSourceTreeDocument *theOwnerDocument, XalanSourceTreeAttr **theAttributes, AttributesCountType theAttributeCount, XalanNode *theParentNode=0, XalanNode *thePreviousSibling=0, XalanNode *theNextSibling=0, IndexType theIndex=0)
    Create an instance.
- void reset ()
    Delete all objects from allocator.
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block.
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated.

## Member Typedef Documentation

typedef ArenaAllocator<ObjectType> XalanSourceTreeElementANSAllocator::ArenaAllocatorType

typedef ObjectType::AttributesCountType XalanSourceTreeElementANSAllocator::AttributesCountType

typedef ObjectType::IndexType XalanSourceTreeElementANSAllocator::IndexType

typedef XalanSourceTreeElementANS XalanSourceTreeElementANSAllocator::ObjectType

typedef ArenaAllocatorType::size_type XalanSourceTreeElementANSAllocator::size_type

## Constructor & Destructor Documentation

XalanSourceTreeElementANSAllocator::XalanSourceTreeElementANSAllocator | ( | MemoryManagerType & | theManager,
|  | size_type | theBlockCount
| ) |

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XalanSourceTreeElementANSAllocator::~XalanSourceTreeElementANSAllocator | ( |  | ) |

## Member Function Documentation

ObjectType* XalanSourceTreeElementANSAllocator::create | ( | const XalanDOMString & | theTagName,
|  | const XalanDOMString & | theLocalName,
|  | const XalanDOMString & | theNamespaceURI,
|  | const XalanDOMString & | thePrefix,
|  | XalanSourceTreeDocument * | theOwnerDocument,
|  | XalanSourceTreeAttr ** | theAttributes,
|  | AttributesCountType | theAttributeCount,
|  | XalanNode * | theParentNode = 0,
|  | XalanNode * | thePreviousSibling = 0,
|  | XalanNode * | theNextSibling = 0,
|  | IndexType | theIndex = 0
| ) |

Create an instance.

Parameters:

  theTagName | The tag name of the element
  theLocalName | The local name of the attribute
  theNamespaceURI | The namespace URI of the attribute
  thePrefix | The namespace prefix of the attribute
  theOwnerDocument | The document that owns the instance
  theAttributes | An array of pointers to the attribute instances for the element
  theAttributeCount | The number of attributes.
  theParentNode | The parent node, if any.
  thePreviousSibling | The previous sibling, if any.
  theNextSibling | The next sibling, if any.
  theIndex | The document-order index of the node.

Returns:
  pointer to the instance

size_type XalanSourceTreeElementANSAllocator::getBlockCount | ( |  | ) | const

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

size_type XalanSourceTreeElementANSAllocator::getBlockSize | ( |  | ) | const

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

void XalanSourceTreeElementANSAllocator::reset | ( |  | ) |

| Delete all objects from allocator.

The documentation for this class was generated from the following file:

- XalanSourceTreeElementANSAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.